ngircd-tor/src/testsuite/tests.sh

44 lines
1.1 KiB
Bash
Raw Normal View History

2002-09-09 12:16:24 +02:00
#!/bin/sh
#
2002-09-09 12:16:24 +02:00
# ngIRCd Test Suite
# Copyright (c)2001-2012 Alexander Barton (alex@barton.de) and Contributors.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# Please read the file COPYING, README and AUTHORS for more information.
#
# detect source directory
[ -z "$srcdir" ] && srcdir=`dirname $0`
2002-09-09 12:16:24 +02:00
name=`basename $0`
test=`echo ${name} | cut -d '.' -f 1`
[ -d logs ] || mkdir logs
2002-09-09 12:16:24 +02:00
2004-09-04 21:14:46 +02:00
if [ ! -r "$test" ]; then
echo " ${name}: test \"$test\" not found!"; exit 77
exit 1
fi
# read in functions
. ${srcdir}/functions.inc
2002-09-09 12:16:24 +02:00
type expect > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo " ${name}: \"expect\" not found."; exit 77
2002-09-09 12:16:24 +02:00
fi
type telnet > /dev/null 2>&1
if [ $? -ne 0 ]; then
echo " ${name}: \"telnet\" not found."; exit 77
fi
2002-09-09 12:16:24 +02:00
echo_n " running ${test} ..."
2004-09-04 21:14:46 +02:00
expect ${srcdir}/${test}.e > logs/${test}.log 2>&1; r=$?
[ $r -eq 0 ] && echo " ok." || echo " failure!"
exit $r
2002-09-09 12:16:24 +02:00
# -eof-